part of 'test_set_edit_bloc.dart';

abstract class TestSetEditEvent extends Equatable {
  const TestSetEditEvent();

  @override
  List<Object> get props => [];
}

class TestSetEditLoad extends TestSetEditEvent {
  const TestSetEditLoad();
}

class TestSetEditChangeExerciseType extends TestSetEditEvent {
  final int index;
  final int indexKey;
  const TestSetEditChangeExerciseType({required this.index, required this.indexKey});

  @override
  List<Object> get props => [index, indexKey];
}

class TestSetEditDeleteExerciseType extends TestSetEditEvent {
  final int indexKey;
  const TestSetEditDeleteExerciseType({required this.indexKey});

  @override
  List<Object> get props => [indexKey];
}

class TestSetEditAddExerciseType extends TestSetEditEvent {
  final int indexKey;
  const TestSetEditAddExerciseType({required this.indexKey});

  @override
  List<Object> get props => [indexKey];
}

class TestSetEditSkipExerciseType extends TestSetEditEvent {
  final int exerciseTypeId;
  const TestSetEditSkipExerciseType({required this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetEditSubmit extends TestSetEditEvent {
  const TestSetEditSubmit();
}

class TestSetEditAddError extends TestSetEditEvent {
  final String message;
  const TestSetEditAddError({required this.message});
  @override
  List<Object> get props => [message];
}
